<?php
/**
 * @license MIT
 *
 * Modified by impress-org on 14-August-2024 using Strauss.
 * @see https://github.com/BrianHenryIE/strauss
 */

namespace Give\Vendors\Faker\Provider\kk_KZ;

class Text extends \Give\Vendors\Faker\Provider\Text
{
    /**
     * From kk.wikipedia.org
     *
     * Мәтін Creative Commons Attribution-ShareAlike лицензиясы аясында қолжетімді
     * кейбір жағдайларда қосымша шарттардың талаптары атқарылады.
     * Толығырақ қ. Қолдану шарттары.
     *
     *
     * Title: Арыстан баб кесенесі
     *
     * Posting Date: 22:55, 2015 ж. сәуірдің 12.
     *
     * Language: Kazakh
     *
     * @licence Creative Commons Attribution-ShareAlike http://creativecommons.org/licenses/by-sa/3.0/deed.ru
     *
     * @see     https://wikimediafoundation.org/wiki/Terms_of_Use/
     * @see    http://ru.wikipedia.org/wiki/%D0%92%D0%B8%D0%BA%D0%B8%D0%BF%D0%B5%D0%B4%D0%B8%D1%8F:%D0%A2%D0%B5%D0%BA%D1%81%D1%82_%D0%BB%D0%B8%D1%86%D0%B5%D0%BD%D0%B7%D0%B8%D0%B8_Creative_Commons_Attribution-ShareAlike_3.0_Unported
     *
     * @var string
     */
    protected static $baseText = <<<'EOT'
Арыстан баб кесенесі - көне Отырар жеріндегі сәулет өнері ескерткіші.

Түркістан халқының арасында мұсылман дінін таратушы Қожа Ахмет Иасауидің ұстазы болған Арыстан баб ата
қабірінің басына салынған. Кесене дәлізхана, мешіт, құжырахана, азан шақыратын мұнара сияқты жеке бөлмелерден құралған.
Кесененің ең көне бөлігі қабірхана болуы тиіс. Қазір де оның едені басқа бөлмелермен салыстырғанда едәуір биік.
Қабір үстіне алғашқы белгі 12 ғ. шамасында салынған. Мазар 14 ғасырда қайта жөнделген. Арыстан баб кесенесі 20 ғасырдың
басында жергілікті халықтың қаражатымен күйдірілген кірпіштен ауданы 35x12 м, биіктігі 12 м, бұрынғы Меккеге қараған
есігі Түркістанға, Әзірет Сұлтанға бағытталып, Солтүстік жағы кесене, Оңтүстік жағы мешіт есебінде қайта жәнделді.
Дәліз-қақпа маңдайшасына мәрмәр тақта қаланып, бетіне һижра бойынша 1327 жыл, яғни соңғы құрылыс жүрген
уақыт деп көрсетілген.

Қысқаша мәлімет

Бұл кесене XII ғасырда өмір сүрген діни көріпкел Арыстан баб мазарының үстіне салынған.
Кесененің бірінші құрылысы XIV-XV ғасырға жатады. Сол құрылыстан кесілген айван тізбектері қалған.
XVIII ғасырда көне мазардың орнында жер сілкінісінен кейін екі кесілген ағаш тізбекке тірелген айванмен салынған
екі күмбезді құрылыс орнатылды. XVIII ғасырда құрылыс қиратылып, фриз жазбалары бойынша 1909 жылы қайта салынды.
1971 жылы жоғары деңгейдегі грунт сулары салдарынан мешіт құлатылып, қайта орнатылды. Құрылыс алебастр ерітіндісінде
күйдірілген кірпіштен қабырғаның сырт жағына салынды. Қазіргі кезде бұл кесене Орталық Азиядағы қажылық міндетті
өтейтін мұсылман киелі жерлерінің бірі болып саналады Аңыз бойынша Арыстан баб Мұхаммед пайғамбардың елшісі болған.
Бір күні Мұхаммед пайғамбар өзінің шәкірттерімен құрма жеп отырған еді. Бір құрма қайта-қайта ыдыстан құлай беріп,
пайғамбар ішкі дауысты естіді: «Бұл құрма Сізден кейін 400 жыл алдағы уақытта туылатын мұсылман бала Ахметке арналған».
Сонда пайғамбар шәкірттері ішінен бұл құрманы кім иесіне жеткізетінін сұрайды. Ешкім сұранған жоқ. Пайғамбар сұрақты
қайта қойғаннан кейін, Арыстан баб былай деді: «Егер Сіз Алла Тағаладан 400 жыл сұрап берсеңіз мен бұл құрманы
иесіне жеткіземін». Халық аңыздарынан және жазба деректеріне қарағанда («Рисолаи Сарем-Исфижоб» және
Куприлозада кітабы) Арыстан баб Ахмет Яссауидің ұстазы болып құрманы жеткізеді. Қазіргі кезде Арыстан баб мазары
үстінде 30*13 метр аумағы бар кесене тұр. Тарихи деректер бойынша XII-XVIII ғасырларда кесене бірнеше рет қайта
салынып, қайта жаңартылды. Қожа Ахмет Яссауи ұлы әулие мен діни көріпкел 1103 жылы туылып 1166 жылы қайтыс болған.
Арыстанбаб туралы аңыздар

Арыстанбабтың дүние салуы Қожа Ахмет Иасауи хикметінде былайша суреттеледі:
«Бабам айтты: Ей балам, қасымда тұр өлейін,
Жаназамды оқып көм, жан тәсілім қалайын.
Медет берсе Мұстафа, ғарыш биігіне шығайын.
Арыслан бабам сөздерін есітіңіз - тәбәрік.
Жылап айттым: ей бала, жас көдекпін білмеймін.
Көріңізді қазармын, көтеріп сала алмаспын.
Хақ Мұстафа сүндетін, балапанмын, білмеймін.
Бабам айтты: Ей балам, періштелер жиылады.
Жебірейіл имам болып, өзгелер оған ұйиды.
Макаил мен Исрафил көтеріп көрге қояды».Отырар өңірінде біз естіген аңыз байынша Арыстанбаб дүние салған соң,
оның денесін ақ бураға артып, еркіне жіберіп, соңынан ілесіп отырған. Ақ бура жүре-жүре осы жерге шөккен екен.
Сол шөккен жерге Арыстанбаб қойылыпты. «Алпамыс жырының» бір үлгісінде Байбөрі мен Аналық «Самарқанда сансыз баб»,
Бұқарадағы «Баһауәдин Нақишбент» молаларына зират қылады, және
"Түнейді үш күн Байбөрі
Әзіретті сұлтанға.
Түркістанда түмен бап,
Сайрамда бар сансыз бап,
Отырарда отыз бап,
Бабалардың бабын сұрасаң,
Ең үлкені Арыстан бап.
Әулие қоймай қыдырып,
Бабалардың бәрін қылды сап» Әзірет Сұлтан қорық-музейінің сақтаулы тұрған Баян ауылдан бір зияратшылдың
қолжазбасында мынадай қызық мағұлмат бар: Арыстанбаб дүние салған соң, оның моласының басына екі құс – бірі лашын,
бірі қарға ұшып келеді. Бұл әңгіме бізді ежелгі түркі шаманизміне жетелейді. Көне түркілер бұл аталған құстарды киелі
деп санаған. Мысалы, ескі жылнамаларда жазылған аңыз бойынша көне түркілердің Ашина тайпасына жау шауып, жаппай қырып
кетеді. Сонда жалғыз қалған бала ғана аман қалады. Баланы қасқыр емізіп, аспан әлемінің елшісі – қарға ет әкеліп
асыраған. Осы баладан түркілердің ұрпағы деседі. Қазақтардың қарғаны киелі құс санағаны жөнінде дерек ер аз емес.
Қарға сөзімен байланысты мынадай мақал-мәтелдер бар: «Біздің де қолымызға қарға тышар», «Қарға тамырлы қазақ»,
«Қарғам-ау» деген сөз қарағым, қалқам деген мағынада қолданылады. «Қарғам, қарғашым, қарғатайым" деп қарттар
немере-шөберелерін еркелеткен. Қанша балаң бар деп жауап қайтарған.
Құрылымы

Арыстанбаб кесенесі ғасырлар бойы түрлі өндеу-жөндеуді басынан кешірген құрылыс.
Кейде Арыстанбабтың ХІ-ХІІ ғасырларда өмір сүргенін тілге тиек ете отырып, оның кесенесі Арыстанбаб дүние салған соң
іле-шала тұрғызылған деген жорамал айтылады. Алайда бізге жеткен қазіргі кесенеде ХІІ ғасырдың белгілері жоқ.
Бұл арада біз ислам дінінің алғашқы кезде қабыр үстіне төбесі жабық құрылыс тұрғызуға тыйым салғанын есте ұстағанымыз
жөн. Осы тұрғыдан қарағанда, ХІІ ғасырда Арыстанбаб ғимаратының болмауы да мүмкін. А.Черкасовтың жазбаларында
Арыстанбаб кесенесі әулие және шәкірттері жатқан екі бөлмеден, сондай-ақ алдындағы бастырмадан тұрғанын жоғарыда
айтқан болатынбыз. Бұлардың жобасы ХІV ғасырдың құрылысына сай келеді. Осымен қатар бастырмадағы ұстындар да ХІҮ
ғасырдың аяғы мен ХV ғасырдың басында жасалған деген тұжырымды мамандар айтқан болатын. Яғни қазіргі Арыстанбаб құрылыс
кешеніндегі қабырғаналар бөлігі ең көнесі, әуелгісі болып табылады. Бұған қоса халық арасында кең тараған мынадай
аңыз бар: «Қожа Ахмет кесенесінің қабырғалары қаланып болған түні алып жасыл өгіз көтерілген дуалдарды мүйізімен соғып,
құлатады. Ғимарат қабырғалары қайта тұрғызылып, күмбездері қалана бастағанда бұл оқиға тағы да қайталанып, бәрі
үйелген төбеге айналады. Бұл жай Әмір Темірді көп ойландырады. Түсінде бір шал келіп, аян береді, ол Қожа Ахметтің
ең алғашқы ұстазы, Арыстанбаб моласының үстіне мазар көтеруге әмір ететінін жеткізеді. Бұл талап орындалған соң ғана
Әмір Темір Түркістандағы құрылысын ойдағыдай аяқтайды». Арыстанбаб қабірханасының едені басқа бөлмелермен салыстырғанда
едәуір биік. Тігінен көтерілген қабырғалары бір биіктікте сәулет өнерінде «желкен» деп аталатын өріммен иіліп барым
күмбезге ұласады. Күмбез ауқымы кең, һәм биік етіп тұрғызылған. Қабірхананың есігі күнбатысқа, дәлірек айтсақ, Меккеге
бағышталған. Бұл қасиетті қабірлерге тағзым етудің мұсылмандық ережелерінен туындайды: зиярат етушінің беті сағанаға,
арқасы құбылаға қарауға тиіс болған. Оның ұзындығы 3 м. 90 см., ені 1 м. 30 см., биіктігі 1 м. 20 см. Қабаттас, көлемі
5,4м х 5,4 м. Бөлмеде үш қабір бар. Ол да биік күмбезбен жабылған. Алайда күмбездің іші алебастрмен сыланып,
геометриялық үлгідегі өрнектермен нақышталған. Әулиеге кірер есіктің екі жағында екі қабір орналасқан.
Шырақшылар бұларды Лашынбаб пен Қарғабаб дейді. Олар әулие қабірімен салыстырғанда аса шағын болып келген.
Лашын баб қабырының көлемі 1,63м х 0,92м., Қарғабабтікі 1,70 м х 0,90 м. Осы қабарханаларға оңтүстік-батыс жақтан
бірнеше бөлмелер қосылған. Екі қанаттағы бөлмелерді біріктіріп, байланыстырып тұрған дәліз-бастырма бар. Ол әдеттегі
бастырма-айвандардан өзгеше, тұтасымен қыштан өріліп, төбесі иіліп жабылған. Оның көлемі 7,60м х 4,35м. Қабырханалар,
дәліз қышпен қаланып күмбезделсе, мешіт бөлігі негізінен қам кесектен тұрғызылып, төбесін жабуда ағаш кең пайдаланылған.
Мешіттің ортасында В.В.Константинова жасаған жоба бойынша алты ағаш тіреу болған. Олардың үстіне қары қойылып, ағаштан
қырлы күмбез қиыстырылған. Мешіт қабырғасында Мекке бағытын көрсететін ойық-михраб бар
Зерттелуі

Арыстан баб ескерткіші деп аталатын мазарлар басқа аймақтардың бірі – Қырғызстандағы Ош өңірінде.
Бірақ қырғыздардың діни-нанымдарын зерттеген ғалым С.М.Абрамзонның пікірінше, жергілікті халық бұл жерде жерленген
Арыстанбабты қалмақтарға қарсы соғысқан батыр деп таниды. Яғни Оштағы Арыстанбаб XYII-XVII ғасырларда болған адам.
Арыстанбаб қабірінің басына тұрғызылған ғимарат алғаш ғылыми әдебиетте 1898 ж.ж. И.Т.Пославскийдің «Развалины города
Отрара» атты мақаласында аталады. 1903 жылы кесене түркістандық археология әуесқойлар үйірмесінің мүшесі А.Черкасовтың
Отырар төбені көріп айтқаны жөніндегі есебінде аталып өтіледі. А.Черкасовты түкпір бөлмедегі Арсытанбабтың қабірі таң
қалдырады: «Надгробие Арстан – Баба такой же формы, как и остальные, покрыто куском белого коленкора и поражает своими
размерами. Такого роста, по ловам шейха, достигал и сам святой...». А.Черкасовтың деректері кеінірек орыс-француз
тілдерінде жарық көрген. И.А.Кастеньенің «Древности Киргизской степи и Оренбургского края» деген еңбегінде де
қайталанады. Көп үзілістен кейін Арыстанбаб кесенесі жөніндегі ғылыми сипаттама 1950 ж.
В.В.Константинованың «Некоторые архитектурные памятники по среднему течению р.Сырдарьи» деген мақаласында жарияланды.
1987 жылы «Білім мен Еңбекте» М.Сембиннің кесене жайлы мақаласы жарияланды. М.Сембин Арыстанбаб туралы мақаласында
О.Дастановтың «Әулиелі жерлер туралы шындық» атты кітабындағы келтірілген мәліметтерге сүйене отырып, Арыстанбаб
кесенесінің сәулетшісі ташкенттік Ескендір қажы болған деген болатын. «Ол өзінше бір қайта жырау, тыңнан толғау,
немесе ақындық шабыт-шалым сынасып, жырмен жарысу есепті...»,- деген М.Әуезов сөздері Арыстанбаб сәулетшісіне
толығымен тән.
XXI ғасырдағы Арыстан баб кесенесі

Әлемге танымал “Арыстан баб” мавзолейінің құрылысы екі жыл бұрын жаңа архитектуралық кешен тұрғысында басталған.
Идея авторы – белгілі мемлекет және қоғам қайраткері, инженер-ғалым, танымал меценат Асқар Құлыбаев болып табылады.
Бір кездері Асқар Алтынбекұлы халық игілігі үшін рухани құндылық орнатуды армандаған. Бүгінде Асқар Құлыбаевтың және
оның ұлдарының Қазақстанның жан азығы байлығын еселей түсу мақсатындағы сіңірген үлесі зор екендігін айту қажет.
Елбасымыз Н.Ә.Назарбаев өзі бастама көтеріп, бүкіл мемлекеттік деңгейде жүзеге “Мәдени мұра” бағдарламасы асырылып
жатыр.

EOT;

    /*
    *** START: FULL LICENSE ***

    Creative Commons Legal Code

    Attribution-ShareAlike 3.0 Unported


    CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE
    LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN
    ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS
    INFORMATION ON AN "AS-IS" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES
    REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR
    DAMAGES RESULTING FROM ITS USE. License

    THE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS
    CREATIVE COMMONS PUBLIC LICENSE ("CCPL" OR "LICENSE"). THE WORK IS
    PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE
    WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS
    PROHIBITED.

    BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND
    AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. TO THE EXTENT THIS
    LICENSE MAY BE CONSIDERED TO BE A CONTRACT, THE LICENSOR GRANTS YOU
    THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH
    TERMS AND CONDITIONS.

    1. Definitions

    "Adaptation" means a work based upon the Work, or upon the Work and
    other pre-existing works, such as a translation, adaptation,
    derivative work, arrangement of music or other alterations of a
    literary or artistic work, or phonogram or performance and includes
    cinematographic adaptations or any other form in which the Work may be
    recast, transformed, or adapted including in any form recognizably
    derived from the original, except that a work that constitutes a
    Collection will not be considered an Adaptation for the purpose of
    this License. For the avoidance of doubt, where the Work is a musical
    work, performance or phonogram, the synchronization of the Work in
    timed-relation with a moving image ("synching") will be considered an
    Adaptation for the purpose of this License. "Collection" means a
    collection of literary or artistic works, such as encyclopedias and
    anthologies, or performances, phonograms or broadcasts, or other works
    or subject matter other than works listed in Section 1(f) below,
    which, by reason of the selection and arrangement of their contents,
    constitute intellectual creations, in which the Work is included in
    its entirety in unmodified form along with one or more other
    contributions, each constituting separate and independent works in
    themselves, which together are assembled into a collective whole. A
    work that constitutes a Collection will not be considered an
    Adaptation (as defined below) for the purposes of this License.
    "Creative Commons Compatible License" means a license that is listed
    at http://creativecommons.org/compatiblelicenses that has been
    approved by Creative Commons as being essentially equivalent to this
    License, including, at a minimum, because that license: (i) contains
    terms that have the same purpose, meaning and effect as the License
    Elements of this License; and, (ii) explicitly permits the relicensing
    of adaptations of works made available under that license under this
    License or a Creative Commons jurisdiction license with the same
    License Elements as this License. "Distribute" means to make available
    to the public the original and copies of the Work or Adaptation, as
    appropriate, through sale or other transfer of ownership. "License
    Elements" means the following high-level license attributes as
    selected by Licensor and indicated in the title of this License:
    Attribution, ShareAlike. "Licensor" means the individual, individuals,
    entity or entities that offer(s) the Work under the terms of this
    License. "Original Author" means, in the case of a literary or
    artistic work, the individual, individuals, entity or entities who
    created the Work or if no individual or entity can be identified, the
    publisher; and in addition (i) in the case of a performance the
    actors, singers, musicians, dancers, and other persons who act, sing,
    deliver, declaim, play in, interpret or otherwise perform literary or
    artistic works or expressions of folklore; (ii) in the case of a
    phonogram the producer being the person or legal entity who first
    fixes the sounds of a performance or other sounds; and, (iii) in the
    case of broadcasts, the organization that transmits the broadcast.
    "Work" means the literary and/or artistic work offered under the terms
    of this License including without limitation any production in the
    literary, scientific and artistic domain, whatever may be the mode or
    form of its expression including digital form, such as a book,
    pamphlet and other writing; a lecture, address, sermon or other work
    of the same nature; a dramatic or dramatico-musical work; a
    choreographic work or entertainment in dumb show; a musical
    composition with or without words; a cinematographic work to which are
    assimilated works expressed by a process analogous to cinematography;
    a work of drawing, painting, architecture, sculpture, engraving or
    lithography; a photographic work to which are assimilated works
    expressed by a process analogous to photography; a work of applied
    art; an illustration, map, plan, sketch or three-dimensional work
    relative to geography, topography, architecture or science; a
    performance; a broadcast; a phonogram; a compilation of data to the
    extent it is protected as a copyrightable work; or a work performed by
    a variety or circus performer to the extent it is not otherwise
    considered a literary or artistic work. "You" means an individual or
    entity exercising rights under this License who has not previously
    violated the terms of this License with respect to the Work, or who
    has received express permission from the Licensor to exercise rights
    under this License despite a previous violation. "Publicly Perform"
    means to perform public recitations of the Work and to communicate to
    the public those public recitations, by any means or process,
    including by wire or wireless means or public digital performances; to
    make available to the public Works in such a way that members of the
    public may access these Works from a place and at a place individually
    chosen by them; to perform the Work to the public by any means or
    process and the communication to the public of the performances of the
    Work, including by public digital performance; to broadcast and
    rebroadcast the Work by any means including signs, sounds or images.
    "Reproduce" means to make copies of the Work by any means including
    without limitation by sound or visual recordings and the right of
    fixation and reproducing fixations of the Work, including storage of a
    protected performance or phonogram in digital form or other electronic
    medium. 2. Fair Dealing Rights. Nothing in this License is intended to
    reduce, limit, or restrict any uses free from copyright or rights
    arising from limitations or exceptions that are provided for in
    connection with the copyright protection under copyright law or other
    applicable laws.

    3. License Grant. Subject to the terms and conditions of this License,
    Licensor hereby grants You a worldwide, royalty-free, non-exclusive,
    perpetual (for the duration of the applicable copyright) license to
    exercise the rights in the Work as stated below:

    to Reproduce the Work, to incorporate the Work into one or more
    Collections, and to Reproduce the Work as incorporated in the
    Collections; to create and Reproduce Adaptations provided that any
    such Adaptation, including any translation in any medium, takes
    reasonable steps to clearly label, demarcate or otherwise identify
    that changes were made to the original Work. For example, a
    translation could be marked "The original work was translated from
    English to Spanish," or a modification could indicate "The original
    work has been modified."; to Distribute and Publicly Perform the Work
    including as incorporated in Collections; and, to Distribute and
    Publicly Perform Adaptations. For the avoidance of doubt:

    Non-waivable Compulsory License Schemes. In those jurisdictions in
    which the right to collect royalties through any statutory or
    compulsory licensing scheme cannot be waived, the Licensor reserves
    the exclusive right to collect such royalties for any exercise by You
    of the rights granted under this License; Waivable Compulsory License
    Schemes. In those jurisdictions in which the right to collect
    royalties through any statutory or compulsory licensing scheme can be
    waived, the Licensor waives the exclusive right to collect such
    royalties for any exercise by You of the rights granted under this
    License; and, Voluntary License Schemes. The Licensor waives the right
    to collect royalties, whether individually or, in the event that the
    Licensor is a member of a collecting society that administers
    voluntary licensing schemes, via that society, from any exercise by
    You of the rights granted under this License. The above rights may be
    exercised in all media and formats whether now known or hereafter
    devised. The above rights include the right to make such modifications
    as are technically necessary to exercise the rights in other media and
    formats. Subject to Section 8(f), all rights not expressly granted by
    Licensor are hereby reserved.

    4. Restrictions. The license granted in Section 3 above is expressly
    made subject to and limited by the following restrictions:

    You may Distribute or Publicly Perform the Work only under the terms
    of this License. You must include a copy of, or the Uniform Resource
    Identifier (URI) for, this License with every copy of the Work You
    Distribute or Publicly Perform. You may not offer or impose any terms
    on the Work that restrict the terms of this License or the ability of
    the recipient of the Work to exercise the rights granted to that
    recipient under the terms of the License. You may not sublicense the
    Work. You must keep intact all notices that refer to this License and
    to the disclaimer of warranties with every copy of the Work You
    Distribute or Publicly Perform. When You Distribute or Publicly
    Perform the Work, You may not impose any effective technological
    measures on the Work that restrict the ability of a recipient of the
    Work from You to exercise the rights granted to that recipient under
    the terms of the License. This Section 4(a) applies to the Work as
    incorporated in a Collection, but this does not require the Collection
    apart from the Work itself to be made subject to the terms of this
    License. If You create a Collection, upon notice from any Licensor You
    must, to the extent practicable, remove from the Collection any credit
    as required by Section 4(c), as requested. If You create an
    Adaptation, upon notice from any Licensor You must, to the extent
    practicable, remove from the Adaptation any credit as required by
    Section 4(c), as requested. You may Distribute or Publicly Perform an
    Adaptation only under the terms of: (i) this License; (ii) a later
    version of this License with the same License Elements as this
    License; (iii) a Creative Commons jurisdiction license (either this or
    a later license version) that contains the same License Elements as
    this License (e.g., Attribution-ShareAlike 3.0 US)); (iv) a Creative
    Commons Compatible License. If you license the Adaptation under one of
    the licenses mentioned in (iv), you must comply with the terms of that
    license. If you license the Adaptation under the terms of any of the
    licenses mentioned in (i), (ii) or (iii) (the "Applicable License"),
    you must comply with the terms of the Applicable License generally and
    the following provisions: (I) You must include a copy of, or the URI
    for, the Applicable License with every copy of each Adaptation You
    Distribute or Publicly Perform; (II) You may not offer or impose any
    terms on the Adaptation that restrict the terms of the Applicable
    License or the ability of the recipient of the Adaptation to exercise
    the rights granted to that recipient under the terms of the Applicable
    License; (III) You must keep intact all notices that refer to the
    Applicable License and to the disclaimer of warranties with every copy
    of the Work as included in the Adaptation You Distribute or Publicly
    Perform; (IV) when You Distribute or Publicly Perform the Adaptation,
    You may not impose any effective technological measures on the
    Adaptation that restrict the ability of a recipient of the Adaptation
    from You to exercise the rights granted to that recipient under the
    terms of the Applicable License. This Section 4(b) applies to the
    Adaptation as incorporated in a Collection, but this does not require
    the Collection apart from the Adaptation itself to be made subject to
    the terms of the Applicable License. If You Distribute, or Publicly
    Perform the Work or any Adaptations or Collections, You must, unless a
    request has been made pursuant to Section 4(a), keep intact all
    copyright notices for the Work and provide, reasonable to the medium
    or means You are utilizing: (i) the name of the Original Author (or
    pseudonym, if applicable) if supplied, and/or if the Original Author
    and/or Licensor designate another party or parties (e.g., a sponsor
    institute, publishing entity, journal) for attribution ("Attribution
    Parties") in Licensor's copyright notice, terms of service or by other
    reasonable means, the name of such party or parties; (ii) the title of
    the Work if supplied; (iii) to the extent reasonably practicable, the
    URI, if any, that Licensor specifies to be associated with the Work,
    unless such URI does not refer to the copyright notice or licensing
    information for the Work; and (iv) , consistent with Ssection 3(b), in
    the case of an Adaptation, a credit identifying the use of the Work in
    the Adaptation (e.g., "French translation of the Work by Original
    Author," or "Screenplay based on original Work by Original Author").
    The credit required by this Section 4(c) may be implemented in any
    reasonable manner; provided, however, that in the case of a Adaptation
    or Collection, at a minimum such credit will appear, if a credit for
    all contributing authors of the Adaptation or Collection appears, then
    as part of these credits and in a manner at least as prominent as the
    credits for the other contributing authors. For the avoidance of
    doubt, You may only use the credit required by this Section for the
    purpose of attribution in the manner set out above and, by exercising
    Your rights under this License, You may not implicitly or explicitly
    assert or imply any connection with, sponsorship or endorsement by the
    Original Author, Licensor and/or Attribution Parties, as appropriate,
    of You or Your use of the Work, without the separate, express prior
    written permission of the Original Author, Licensor and/or Attribution
    Parties. Except as otherwise agreed in writing by the Licensor or as
    may be otherwise permitted by applicable law, if You Reproduce,
    Distribute or Publicly Perform the Work either by itself or as part of
    any Adaptations or Collections, You must not distort, mutilate, modify
    or take other derogatory action in relation to the Work which would be
    prejudicial to the Original Author's honor or reputation. Licensor
    agrees that in those jurisdictions (e.g. Japan), in which any exercise
    of the right granted in Section 3(b) of this License (the right to
    make Adaptations) would be deemed to be a distortion, mutilation,
    modification or other derogatory action prejudicial to the Original
    Author's honor and reputation, the Licensor will waive or not assert,
    as appropriate, this Section, to the fullest extent permitted by the
    applicable national law, to enable You to reasonably exercise Your
    right under Section 3(b) of this License (right to make Adaptations)
    but not otherwise. 5. Representations, Warranties and Disclaimer

    UNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING,
    LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR
    WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED,
    STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF
    TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE,
    NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY,
    OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE.
    SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES,
    SO SUCH EXCLUSION MAY NOT APPLY TO YOU.

    6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY
    APPLICABLE LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY
    LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR
    EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK,
    EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

    7. Termination

    This License and the rights granted hereunder will terminate
    automatically upon any breach by You of the terms of this License.
    Individuals or entities who have received Adaptations or Collections
    from You under this License, however, will not have their licenses
    terminated provided such individuals or entities remain in full
    compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will
    survive any termination of this License. Subject to the above terms
    and conditions, the license granted here is perpetual (for the
    duration of the applicable copyright in the Work). Notwithstanding the
    above, Licensor reserves the right to release the Work under different
    license terms or to stop distributing the Work at any time; provided,
    however that any such election will not serve to withdraw this License
    (or any other license that has been, or is required to be, granted
    under the terms of this License), and this License will continue in
    full force and effect unless terminated as stated above. 8.
    Miscellaneous

    Each time You Distribute or Publicly Perform the Work or a Collection,
    the Licensor offers to the recipient a license to the Work on the same
    terms and conditions as the license granted to You under this License.
    Each time You Distribute or Publicly Perform an Adaptation, Licensor
    offers to the recipient a license to the original Work on the same
    terms and conditions as the license granted to You under this License.
    If any provision of this License is invalid or unenforceable under
    applicable law, it shall not affect the validity or enforceability of
    the remainder of the terms of this License, and without further action
    by the parties to this agreement, such provision shall be reformed to
    the minimum extent necessary to make such provision valid and
    enforceable. No term or provision of this License shall be deemed
    waived and no breach consented to unless such waiver or consent shall
    be in writing and signed by the party to be charged with such waiver
    or consent. This License constitutes the entire agreement between the
    parties with respect to the Work licensed here. There are no
    understandings, agreements or representations with respect to the Work
    not specified here. Licensor shall not be bound by any additional
    provisions that may appear in any communication from You. This License
    may not be modified without the mutual written agreement of the
    Licensor and You. The rights granted under, and the subject matter
    referenced, in this License were drafted utilizing the terminology of
    the Berne Convention for the Protection of Literary and Artistic Works
    (as amended on September 28, 1979), the Rome Convention of 1961, the
    WIPO Copyright Treaty of 1996, the WIPO Performances and Phonograms
    Treaty of 1996 and the Universal Copyright Convention (as revised on
    July 24, 1971). These rights and subject matter take effect in the
    relevant jurisdiction in which the License terms are sought to be
    enforced according to the corresponding provisions of the
    implementation of those treaty provisions in the applicable national
    law. If the standard suite of rights granted under applicable
    copyright law includes additional rights not granted under this
    License, such additional rights are deemed to be included in the
    License; this License is not intended to restrict the license of any
    rights under applicable law. Creative Commons Notice

    Creative Commons is not a party to this License, and makes no warranty
    whatsoever in connection with the Work. Creative Commons will not be
    liable to You or any party on any legal theory for any damages
    whatsoever, including without limitation any general, special,
    incidental or consequential damages arising in connection to this
    license. Notwithstanding the foregoing two (2) sentences, if Creative
    Commons has expressly identified itself as the Licensor hereunder, it
    shall have all rights and obligations of Licensor.

    Except for the limited purpose of indicating to the public that the
    Work is licensed under the CCPL, Creative Commons does not authorize
    the use by either party of the trademark "Creative Commons" or any
    related trademark or logo of Creative Commons without the prior
    written consent of Creative Commons. Any permitted use will be in
    compliance with Creative Commons' then-current trademark usage
    guidelines, as may be published on its website or otherwise made
    available upon request from time to time. For the avoidance of doubt,
    this trademark restriction does not form part of the License.

    Creative Commons may be contacted at http://creativecommons.org/.

    */
}
