<?php
/**
 * @license MIT
 *
 * Modified by impress-org on 14-August-2024 using Strauss.
 * @see https://github.com/BrianHenryIE/strauss
 */

namespace Give\Vendors\Faker\Provider\tr_TR;

class Color extends \Give\Vendors\Faker\Provider\Color
{
    /**
     * @see http://tr.wikipedia.org/wiki/Renkler_listesi
     */
    protected static $safeColorNames = [
        'siyah', 'kırmızı', 'sarı', 'mavi', 'turuncu',
        'yeşil', 'mor', 'gümüş', 'gri', 'pembe',
    ];

    protected static $allColorNames = [
        'Alev kırmızısı', 'Alice mavisi', 'Alizarin', 'Altunî', 'Ametist', 'Armut',
        'Akuamarin', 'Asker yeşili', 'Bakır', 'Barut', 'Bataklık yeşili',
        'Bebek mavisi', 'Bej', 'Beyaz', 'Bondi mavisi', 'Bordo',
        'Bronz', 'Buğday', 'Burgonya', 'Camgöbeği', 'Çam yeşili', 'Çay yeşili',
        'Çelik mavisi', 'Çikolata', 'Çivit', 'Deniz mavisi', 'Deniz yeşili',
        'Devedikeni', 'Eğrelti yeşili', 'Elektrik mavisi', 'Elektrik çivit', 'Elektrik lime', 'Elektrik mor',
        'Falu kırmızısı', 'Fildişi', 'Fransız gül', 'Galibarda', 'Gece mavisi', 'Gök mavisi',
        'Gri', 'Gri-kuşkonmaz', 'Gül', 'Gümüşi', 'Haki', 'Hardal',
        'Havuç', 'Horozibiği', 'İlkbahar yeşili', 'İslam yeşili', 'Kabak', 'Kahverengi',
        'Kahverengimsi gri', 'Kamuflâj yeşili', 'Karanfil pembesi', 'Karanfil', 'Kardinal',
        'Karolina mavisi', 'Kayısı', 'Kehribar', 'Kestane',
        'Keten', 'Kırmızı', 'Kırmızımsı kahverengi', 'Kırmızı-menekşe', 'Kiraz kırmızısı',
        'Kobalt', 'Kobalt mavisi', 'Koyu galibarda', 'Koyu haki', 'Koyu kahverengi',
        'Koyu kestane', 'Koyu kırmızı', 'Koyu kızıl kahverengi', 'Koyu leylak', 'Koyu magenta',
        'Koyu mandalina', 'Koyu mavi', 'Koyu menekşe', 'Koyu mercan',
        'Koyu mor', 'Koyu pastel yeşil', 'Koyu pembe', 'Koyu şeftali', 'Koyu turkuaz',
        'Koyu toz mavi', 'Koyu turkuaz', 'Koyu yeşil', 'Kösele', 'Krem',
        'Kum kahverengisi', 'Kuşkonmaz', 'Lacivert', 'Lacivert',
        'Lavanta', 'Lavanta mavisi', 'Lavender pembesi', 'Lavender greisi',
        'Lavender magenta', 'Lavanta pembesi', 'Lavanta mor', 'Lavanta gül', 'Limoni', 'Açık Limon',
        'Leylak', 'Lime', 'Mandalina', 'Malakit', 'Mavi',
        'Menekşe', 'Menekşe-patlıcan', 'Mısır', 'Mor', 'Morsalkım',
        'Nane yeşili', 'Nar', 'Navajo beyazı', 'Okul otobüsü sarısı', 'Parlak mor',
        'Pas', 'Pastel pembe', 'Pastel yeşili', 'Patlıcan', 'Pembe',
        'Pembe-turuncu', 'Peygamber çiçeği', 'Prusya mavisi', 'Safran', 'Safir',
        'Sarımsı kahverengi', 'Sarımsı pembe', 'Sarı', 'Sarı',
        'Siyahımsı koyu kahverengi', 'Soluk sarı', 'Şeftali', 'Şeftali-turuncu', 'Şeftali-sarı',
        'Tarçın', 'Teal', 'Toz mavi', 'Turkuaz',
        'Turuncumsu sarı', 'Turuncu', 'Turuncumsu sarı', 'Yeşil', 'Yeşil-sarı', 'Yonca yeşili',
        'Yosun yeşili', 'Zeytuni', 'Zümrüt yeşili', 'Yanık turuncu', 'Yanık Toprak',
        'Kardinal', 'Şarap', 'Celadon', 'Berrak mavi',
        'Gök mavisi', 'Gül', 'Mercan', 'Mercan Kırmızısı', 'Kıpkırmızı', 'Hile mavisi',
        'Altınımsı', 'Soytarı', 'Siğil otu', 'Holivod kırmızısı', 'Sıcak Magenta',
        'Sıcak pembe', 'Uluslararası Klein mavisi', 'Enternasyonal turuncu', 'Yeşim', 'Orta şarap',
        'Orta Mor', 'Dağ pembesi', 'Aşı boyası', 'Eski altın', 'Eski iplik', 'Eski Lavanta',
        'Eski gül', 'Zeytin Kahverengisi', 'Donuk turuncu', 'Papaya',
        'Periwinkle', 'Pers mavisi', 'Pers yeşili', 'Persian lacivert', 'Pers pembesi',
        'Persian kırmızısı', 'Pers gülü', 'Ham toprak', 'Kızıl yumurta mavisi',
        'Kraliyet mavisi', 'Kırmızı şarap', 'Kırmızı', 'Deniz kabuğu', 'Ayrık sarı',
        'Vurgun pembe', 'Salamura grisi', 'Tenné (Tawny)', 'Küçük kara', 'Lacivert', 'Viridian',
        'Zinnwaldite',
    ];
}
